// This file is part of Lanradio.
//
// Lanradio is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Lanradio is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with Lanradio.  If not, see <http://www.gnu.org/licenses/>.
//
// Authors:
// Florian Klingler <klingler@ccs-labs.org>

#include <veins/modules/application/lanradio/beaconingSchemes/DisabledBeaconing.h>

Define_Module(DisabledBeaconing);

DisabledBeaconing::DisabledBeaconing() {

}

DisabledBeaconing::~DisabledBeaconing() {

}

void DisabledBeaconing::initialize(int stage) {

}

void DisabledBeaconing::handleMessage(cMessage *msg) {

    delete msg;
}

void DisabledBeaconing::finish() {

}

void DisabledBeaconing::setInROI(int roi) {
    Enter_Method_Silent();
    inROI = roi;
}

void DisabledBeaconing::handleBeacon(WaveShortMessage* msg) {
    Enter_Method_Silent();

}

simtime_t DisabledBeaconing::get_next_beacon_time() {
    Enter_Method_Silent();
    return 0.0;
}

simtime_t DisabledBeaconing::get_neighbor_timeout() {
    Enter_Method_Silent();
    return 0.0;
}
