// This file is part of Lanradio.
//
// Lanradio is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Lanradio is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with Lanradio.  If not, see <http://www.gnu.org/licenses/>.
//
// Authors:
// Florian Klingler <klingler@ccs-labs.org>

#ifndef __VEINS_DISABLEDBEACONING_H_
#define __VEINS_DISABLEDBEACONING_H_

#include <omnetpp.h>
#include <veins/base/utils/FindModule.h>
#include <veins/modules/application/lanradio/AppInterface.h>
#include <veins/modules/application/lanradio/beaconingSchemes/BeaconingSchemeInterface.h>


class DisabledBeaconing : public cSimpleModule, public BeaconingSchemeInterface
{
  public:
    DisabledBeaconing();
    virtual ~DisabledBeaconing();
    virtual void initialize(int stage);
    virtual void handleMessage(cMessage *msg);
    virtual simtime_t get_next_beacon_time();
    virtual simtime_t get_neighbor_timeout();
    virtual void finish();

    /*
     * BeaconingSchemeInterface
     */
    void setInROI(int roi);
    void handleBeacon(WaveShortMessage* msg);

  private:

    AppInterface* classAInt;

    int inROI;
};

#endif
